//--------------------------------------------------------------
// File     : main.c
// Datum    : 05.06.2014
// Version  : 1.0
// Autor    : UB
// EMail    : mc-4u(@)t-online.de
// Web      : www.mikrocontroller-4u.de
// CPU      : STM32F4
// IDE      : CooCox CoIDE 1.7.4
// GCC      : 4.7 2012q4
// Module   : CMSIS_BOOT, M4_CMSIS_CORE
// Funktion : Demo vom Mod-Player
// Hinweis  : Diese zwei Files muessen auf 8MHz stehen
//              "cmsis_boot/stm32f4xx.h"
//              "cmsis_boot/system_stm32f4xx.c"
//--------------------------------------------------------------

#include "main.h"
#include "stm32_ub_modplayer.h"

int main(void)
{
  SystemInit(); // Quarz Einstellungen aktivieren

  // init vom Modplayer
  UB_Modplayer_Init();

  // Modfile in Dauerloop laden
  UB_Modplayer_PlayLoop(&MOD_File_Aurora);

  while(1)
  {
    // Modfile abspielen
    UB_Modplayer_PlayDo();
  }
}

